<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.picketlink-federation.federation.identity-provider">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="encrypt,external,security-domain,ssl-authentication,strict-post-binding,support-metadata,support-signatures,url"/>
        <elem name="addr-params" value="profile,subsystem,federation,identity-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.picketlink-federation"/>
    </annotation>
    <refs>
        <ref feature="subsystem.picketlink-federation.federation"/>
        <ref feature="subsystem.picketlink-federation"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="federation" feature-id="true"/>
        <param name="security-domain" nillable="true"/>
        <param name="external" nillable="true"/>
        <param name="identity-provider" feature-id="true"/>
        <param name="ssl-authentication" nillable="true"/>
        <param name="encrypt" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="picketlink-federation"/>
        <param name="support-signatures" nillable="true"/>
        <param name="strict-post-binding" nillable="true"/>
        <param name="support-metadata" nillable="true"/>
        <param name="url"/>
    </params>
</feature-spec>